Beefy Boxes and Bandwidth Generously Provided by pair Networks
Keep It Simple, Stupid
 
PerlMonks  

Re: Strawberry and IIS not playing well

by NetWallah (Abbot)
on Nov 26, 2012 at 23:21 UTC ( #1005775=note: print w/replies, xml ) Need Help??


in reply to Strawberry and IIS not playing well

Have you configured Application pools, and ISAPI modules in IIS ?

If not, please follow this article on Running Perl on IIS 7. (I realize you have IIS6, but it hasn't changed much)
You can skip the Activestate part, since you have Strawberry.

             "By three methods we may learn wisdom: First, by reflection, which is noblest; Second, by imitation, which is easiest; and third by experience, which is the bitterest."           -Confucius

  • Comment on Re: Strawberry and IIS not playing well

Replies are listed 'Best First'.
Re^2: Strawberry and IIS not playing well
by srobinson (Initiate) on Nov 27, 2012 at 17:22 UTC
    Actually the article you gave me, does not help with IIS 6 as 7 is different.
      A little Googling delivers these bitmap-enhanced instructions for IIS6.

                   "By three methods we may learn wisdom: First, by reflection, which is noblest; Second, by imitation, which is easiest; and third by experience, which is the bitterest."           -Confucius

        Thank you I had seen these but went ahead and followed them. Note these are for active perl and not strawberry so I may adj for that, but nothing else. I am now getting the following when trying to run script from browser. CGI Error The specified CGI application misbehaved by not returning a complete set of HTTP headers.
        I made the change to 'text/html' and have the same error.

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://1005775]
help
Chatterbox?
[Corion]: I found Android Studio quite nice as a Java IDE, but then, I didn't try anything serious with it
[chacham]: it is a nice ide. its just that upgrading it always causes issues with mismatched versions of whatever
[Corion]: chacham: Oh, yes, reinstalling all the SDK versions and Gradle and whatnot, yes, even in the short time I used it (2 weeks?) I felt that pain
[chacham]: right now im editing the versions in the applications gradle file to use a version it wants. sheesh.
[Corion]: Ow, "but you're not supposed to do that" ;)
[chacham]: with google, you kinda just gotta do what it recomends.

How do I use this? | Other CB clients
Other Users?
Others wandering the Monastery: (13)
As of 2017-03-29 08:02 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?
    Should Pluto Get Its Planethood Back?



    Results (344 votes). Check out past polls.